diff --git a/gcc/analyzer/region-model.cc b/gcc/analyzer/region-model.cc
index 890f7006fee..292d268300d 100644
--- a/gcc/analyzer/region-model.cc
+++ b/gcc/analyzer/region-model.cc
@@ -5055,13 +4073,13 @@ region_model2::get_gassign_result (const gassign *assign,
 	tree ptr = rhs1;
 	tree offset = gimple_assign_rhs2 (assign);
 
-	const svalue2 *ptr_sval = get_rvalue (ptr, ctxt);
-	const svalue2 *offset_sval = get_rvalue (offset, ctxt);
+	const svalue *ptr_sval = get_rvalue (ptr, ctxt);
+	const svalue *offset_sval = get_rvalue (offset, ctxt);
 	/* Quoting tree.def, "the second operand [of a POINTER_PLUS_EXPR]
 	   is an integer of type sizetype".  */
 	offset_sval = m_mgr->get_or_create_cast (size_type_node, offset_sval);
 
-	const svalue2 *sval_binop
+	const svalue *sval_binop
 	  = m_mgr->get_or_create_binop (TREE_TYPE (lhs), op,
 					ptr_sval, offset_sval);
 	return sval_binop;
@@ -5072,12 +4090,12 @@ region_model2::get_gassign_result (const gassign *assign,
       {
 	/* e.g. "_1 = p_2(D) - q_3(D);".  */
 	tree rhs2 = gimple_assign_rhs2 (assign);
-	const svalue2 *rhs1_sval = get_rvalue (rhs1, ctxt);
-	const svalue2 *rhs2_sval = get_rvalue (rhs2, ctxt);
+	const svalue *rhs1_sval = get_rvalue (rhs1, ctxt);
+	const svalue *rhs2_sval = get_rvalue (rhs2, ctxt);
 
 	// TODO: perhaps fold to zero if they're known to be equal?
 
-	const svalue2 *sval_binop
+	const svalue *sval_binop
 	  = m_mgr->get_or_create_binop (TREE_TYPE (lhs), op,
 					rhs1_sval, rhs2_sval);
 	return sval_binop;
@@ -5115,8 +4133,8 @@ region_model2::get_gassign_result (const gassign *assign,
     case VIEW_CONVERT_EXPR:
       {
 	/* Unary ops.  */
-	const svalue2 *rhs_sval = get_rvalue (rhs1, ctxt);
-	const svalue2 *sval_unaryop
+	const svalue *rhs_sval = get_rvalue (rhs1, ctxt);
+	const svalue *sval_unaryop
 	  = m_mgr->get_or_create_unaryop (TREE_TYPE (lhs), op, rhs_sval);
 	return sval_unaryop;
       }
@@ -5132,9 +4150,9 @@ region_model2::get_gassign_result (const gassign *assign,
       {
 	tree rhs2 = gimple_assign_rhs2 (assign);
 
-	// TODO: constraints between svalue2s
-	const svalue2 *rhs1_sval = get_rvalue (rhs1, ctxt);
-	const svalue2 *rhs2_sval = get_rvalue (rhs2, ctxt);
+	// TODO: constraints between svalues
+	const svalue *rhs1_sval = get_rvalue (rhs1, ctxt);
+	const svalue *rhs2_sval = get_rvalue (rhs2, ctxt);
 
 	tristate t = eval_condition (rhs1_sval, op, rhs2_sval);
 	if (t.is_known ())
@@ -5145,7 +4163,7 @@ region_model2::get_gassign_result (const gassign *assign,
 	else
 	  {
 	    // TODO: symbolic value for binop
-	    const svalue2 *sval_binop
+	    const svalue *sval_binop
 	      = m_mgr->get_or_create_binop (TREE_TYPE (lhs), op,
 					    rhs1_sval, rhs2_sval);
 	    return sval_binop;
@@ -5181,10 +4199,10 @@ region_model2::get_gassign_result (const gassign *assign,
 	/* Binary ops.  */
 	tree rhs2 = gimple_assign_rhs2 (assign);
 
-	const svalue2 *rhs1_sval = get_rvalue (rhs1, ctxt);
-	const svalue2 *rhs2_sval = get_rvalue (rhs2, ctxt);
+	const svalue *rhs1_sval = get_rvalue (rhs1, ctxt);
+	const svalue *rhs2_sval = get_rvalue (rhs2, ctxt);
 
-	const svalue2 *sval_binop
+	const svalue *sval_binop
 	  = m_mgr->get_or_create_binop (TREE_TYPE (lhs), op,
 					rhs1_sval, rhs2_sval);
 	return sval_binop;
@@ -5196,7 +4214,7 @@ region_model2::get_gassign_result (const gassign *assign,
     case VEC_SERIES_EXPR:
     case VEC_COND_EXPR:
     case VEC_PERM_EXPR:
-      return m_mgr->get_or_create_unknown_svalue2 (TREE_TYPE (lhs));
+      return m_mgr->get_or_create_unknown_svalue (TREE_TYPE (lhs));
     }
 }
 
@@ -5205,18 +4223,18 @@ region_model2::get_gassign_result (const gassign *assign,
    diagnostics.  */
 
 bool
-region_model2::on_gassign (const gassign *assign,
-			   region_model2_context *ctxt)
+region_model::on_gassign (const gassign *assign,
+			   region_model_context *ctxt)
 {
   tree lhs = gimple_assign_lhs (assign);
   tree rhs1 = gimple_assign_rhs1 (assign);
 
-  const region2 *lhs_reg = get_lvalue (lhs, ctxt);
+  const region *lhs_reg = get_lvalue (lhs, ctxt);
 
   /* Most assignments are handled by:
        set_value (lhs_reg, SVALUE, CTXT)
      for some SVALUE.  */
-  if (const svalue2 *sval = get_gassign_result (assign, ctxt))
+  if (const svalue *sval = get_gassign_result (assign, ctxt))
     {
       set_value (lhs_reg, sval, ctxt);
       return true;
@@ -5260,14 +4278,14 @@ region_model2::on_gassign (const gassign *assign,
 		if (!index)
 		  index = build_int_cst (integer_type_node, ix);
 		gcc_assert (TREE_CODE (index) == INTEGER_CST);
-		const svalue2 *index_sval
-		  = m_mgr->get_or_create_constant_svalue2 (index);
+		const svalue *index_sval
+		  = m_mgr->get_or_create_constant_svalue (index);
 		gcc_assert (index_sval);
-		const region2 *sub_reg
+		const region *sub_reg
 		  = m_mgr->get_element_region (lhs_reg,
 					       TREE_TYPE (val),
 					       index_sval);
-		const svalue2 *val_sval = get_rvalue (val, ctxt);
+		const svalue *val_sval = get_rvalue (val, ctxt);
 		set_value (sub_reg, val_sval, ctxt);
 	      }
 	  }
@@ -5279,7 +4297,7 @@ region_model2::on_gassign (const gassign *assign,
 	/* e.g. "struct s2 x = {{'A', 'B', 'C', 'D'}};".  */
 	/* Add a default binding, rather than a direct one, so that array
 	   access will "inherit" the individual chars.  */
-	const svalue2 *rhs_sval = get_rvalue (rhs1, ctxt);
+	const svalue *rhs_sval = get_rvalue (rhs1, ctxt);
 	m_store.set_value (m_mgr->get_store_manager(), lhs_reg, rhs_sval,
 			   BK_default);
       }
@@ -5292,10 +4310,10 @@ region_model2::on_gassign (const gassign *assign,
 /* FIXME.  */
 #if 0
 bool
-region_model2::on_gcall (const supernode *snode,
+region_model::on_gcall (const supernode *snode,
 			 const gcall *call)
 {
-  region_model2_context *ctxt = NULL; // FIXME
+  region_model_context *ctxt = NULL; // FIXME
 
   bool unknown_effects = false;
 
@@ -5326,7 +4344,7 @@ region_model2::on_gcall (const supernode *snode,
   if (tree callee_fndecl = get_fndecl_for_call (call, ctxt))
     {
       /* Get any left-hand side for the destination of the result.  */
-      region2 *lhs_reg = NULL;
+      region *lhs_reg = NULL;
       tree lhs_type = NULL_TREE;
       if (tree lhs = gimple_call_lhs (call))
 	{
@@ -5337,11 +4355,11 @@ region_model2::on_gcall (const supernode *snode,
       if (is_named_call_p (callee_fndecl, "malloc", call, 1))
 	{
 	  tree size_arg = gimple_call_arg (call, 0);
-	  const svalue2 *size_sval = get_rvalue (size_arg, ctxt);
-	  region2 *new_reg = create_region_for_heap_alloc (size_sval);
+	  const svalue *size_sval = get_rvalue (size_arg, ctxt);
+	  region *new_reg = create_region_for_heap_alloc (size_sval);
 	  if (lhs_reg)
 	    {
-	      const svalue2 *ptr_sval = m_mgr->get_ptr_svalue2 (lhs_type, new_reg);
+	      const svalue *ptr_sval = m_mgr->get_ptr_svalue (lhs_type, new_reg);
 	      set_value (lhs_reg, ptr_sval, ctxt);
 	    }
 	  else
@@ -5353,11 +4371,11 @@ region_model2::on_gcall (const supernode *snode,
       else if (is_named_call_p (callee_fndecl, "__builtin_alloca", call, 1))
 	{
 	  tree size_arg = gimple_call_arg (call, 0);
-	  const svalue2 *size_sval = get_rvalue (size_arg, ctxt);
-	  region2 *new_reg = create_region_for_alloca (size_sval);
+	  const svalue *size_sval = get_rvalue (size_arg, ctxt);
+	  region *new_reg = create_region_for_alloca (size_sval);
 	  if (lhs_reg)
 	    {
-	      const svalue2 *ptr_sval = m_mgr->get_ptr_svalue2 (lhs_type, new_reg);
+	      const svalue *ptr_sval = m_mgr->get_ptr_svalue (lhs_type, new_reg);
 	      set_value (lhs_reg, ptr_sval, ctxt);
 	    }
 	  return true;
@@ -5365,17 +4383,17 @@ region_model2::on_gcall (const supernode *snode,
       else if (is_named_call_p (callee_fndecl, "strlen", call, 1))
 	{
 	  tree arg = gimple_call_arg (call, 0);
-	  const svalue2 *arg_sval = get_rvalue (arg, ctxt);
-	  region2 *buf_reg = deref_rvalue (arg_sval, ctxt);
-	  if (string_region2 *str_reg = buf_reg->dyn_cast_string_region2 ())
+	  const svalue *arg_sval = get_rvalue (arg, ctxt);
+	  region *buf_reg = deref_rvalue (arg_sval, ctxt);
+	  if (string_region *str_reg = buf_reg->dyn_cast_string_region ())
 	    {
 	      tree str_cst = str_reg->get_string_cst ();
 	      /* TREE_STRING_LENGTH is sizeof, not strlen.  */
 	      int sizeof_cst = TREE_STRING_LENGTH (str_cst);
 	      int strlen_cst = sizeof_cst - 1;
 	      tree t_cst = build_int_cst (lhs_type, strlen_cst);
-	      const svalue2 *result_sval
-		= m_mgr->get_or_create_constant_svalue2 (t_cst);
+	      const svalue *result_sval
+		= m_mgr->get_or_create_constant_svalue (t_cst);
 	      set_value (lhs_reg, result_sval, ctxt);
 	      return true;
 	    }
@@ -5400,17 +4418,17 @@ region_model2::on_gcall (const supernode *snode,
 /* A subclass of pending_diagnostic for complaining about uses of
    poisoned values.  */
 
-class poisoned_value_diagnostic2
-: public pending_diagnostic_subclass<poisoned_value_diagnostic2>
+class poisoned_value_diagnostic
+: public pending_diagnostic_subclass<poisoned_value_diagnostic>
 {
 public:
-  poisoned_value_diagnostic2 (tree expr, enum poison_kind pkind)
+  poisoned_value_diagnostic (tree expr, enum poison_kind pkind)
   : m_expr (expr), m_pkind (pkind)
   {}
 
-  const char *get_kind () const FINAL OVERRIDE { return "poisoned_value_diagnostic2"; }
+  const char *get_kind () const FINAL OVERRIDE { return "poisoned_value_diagnostic"; }
 
-  bool operator== (const poisoned_value_diagnostic2 &other) const
+  bool operator== (const poisoned_value_diagnostic &other) const
   {
     return m_expr == other.m_expr;
   }
@@ -5468,16 +4486,16 @@ private:
 /* Update this model for the CALL stmt, using CTXT to report any
    diagnostics - the first half.
 
-   Updates to the region_model2 that should be made *before* sm-states
-   are updated are done here; other updates to the region_model2 are done
-   in region_model2::on_call_post.
+   Updates to the region_model that should be made *before* sm-states
+   are updated are done here; other updates to the region_model are done
+   in region_model::on_call_post.
 
    Return true if the function call has unknown side effects (it wasn't
    recognized and we don't have a body for it, or are unable to tell which
    fndecl it is).  */
 
 bool
-region_model2::on_call_pre (const gcall *call, region_model2_context *ctxt)
+region_model::on_call_pre (const gcall *call, region_model_context *ctxt)
 {
   /* Check for uses of poisoned values.
      For now, special-case "free", to avoid warning about "use-after-free"
@@ -5495,7 +4513,7 @@ region_model2::on_call_pre (const gcall *call, region_model2_context *ctxt)
       call_details cd (call, this, ctxt);
 
       /* The various impl_call_* member functions are implemented
-	 in region-model2-impl-calls.cc.
+	 in region-model-impl-calls.cc.
 	 Having them split out into separate functions makes it easier
 	 to put breakpoints on the handling of specific functions.  */
 
@@ -5536,11 +4554,11 @@ region_model2::on_call_pre (const gcall *call, region_model2_context *ctxt)
      now.  */
   if (tree lhs = gimple_call_lhs (call))
     {
-      const region2 *lhs_region = get_lvalue (lhs, ctxt);
+      const region *lhs_region = get_lvalue (lhs, ctxt);
       // FIXME
       if (TREE_CODE (lhs) == SSA_NAME)
 	{
-	  const svalue2 *sval = m_mgr->get_or_create_initial_value (lhs_region);
+	  const svalue *sval = m_mgr->get_or_create_initial_value (lhs_region);
 	  set_value (lhs_region, sval, ctxt);
 	}
     }
@@ -5556,17 +4574,17 @@ region_model2::on_call_pre (const gcall *call, region_model2_context *ctxt)
 /* Update this model for the CALL stmt, using CTXT to report any
    diagnostics - the second half.
 
-   Updates to the region_model2 that should be made *after* sm-states
-   are updated are done here; other updates to the region_model2 are done
-   in region_model2::on_call_pre.
+   Updates to the region_model that should be made *after* sm-states
+   are updated are done here; other updates to the region_model are done
+   in region_model::on_call_pre.
 
    If UNKNOWN_SIDE_EFFECTS is true, also call handle_unrecognized_call
    to purge state.  */
 
 void
-region_model2::on_call_post (const gcall *call,
+region_model::on_call_post (const gcall *call,
 			     bool unknown_side_effects,
-			     region_model2_context *ctxt)
+			     region_model_context *ctxt)
 {
   if (tree callee_fndecl = get_fndecl_for_call (call, ctxt))
     if (is_named_call_p (callee_fndecl, "free", call, 1))
@@ -5582,25 +4600,25 @@ region_model2::on_call_post (const gcall *call,
 
 /* Handle a call CALL to a function with unknown behavior.
 
-   Traverse the region2s in this model, determining what region2s are
+   Traverse the regions in this model, determining what regions are
    reachable from pointer arguments to CALL and from global variables,
    recursively.
 
-   Set all reachable region2s to new unknown values and purge sm-state
+   Set all reachable regions to new unknown values and purge sm-state
    from their values, and from values that point to them.  */
 void
-region_model2::handle_unrecognized_call (const gcall *call,
-					 region_model2_context *ctxt)
+region_model::handle_unrecognized_call (const gcall *call,
+					 region_model_context *ctxt)
 {
   tree fndecl = get_fndecl_for_call (call, ctxt);
 
-  reachable_region2s reachable_regs (&m_store, m_mgr);
+  reachable_regions reachable_regs (&m_store, m_mgr);
 
-  /* Determine the reachable region2s and their mutability.  */
+  /* Determine the reachable regions and their mutability.  */
   {
     /* Add globals and regions that already escaped in previous
        unknown calls.  */
-    m_store.for_each_cluster (reachable_region2s::init_cluster_cb,
+    m_store.for_each_cluster (reachable_regions::init_cluster_cb,
 			      &reachable_regs);
 
     /* Params that are pointers.  */
@@ -5619,7 +4637,7 @@ region_model2::handle_unrecognized_call (const gcall *call,
 	  }
 
 	tree parm = gimple_call_arg (call, arg_idx);
-	const svalue2 *parm_sval = get_rvalue (parm, ctxt);
+	const svalue *parm_sval = get_rvalue (parm, ctxt);
 	reachable_regs.handle_parm (parm_sval, param_type);
 	// FIXME: what about compound parms that contain ptrs?
       }
@@ -5627,18 +4645,18 @@ region_model2::handle_unrecognized_call (const gcall *call,
 
   /* Purge sm-state for the svalues that were reachable,
      both in non-mutable and mutable form.  */
-  for (hash_set<const svalue2 *>::iterator iter
+  for (hash_set<const svalue *>::iterator iter
 	 = reachable_regs.begin_reachable_svals ();
        iter != reachable_regs.end_reachable_svals (); ++iter)
     {
-      const svalue2 *sval = (*iter);
+      const svalue *sval = (*iter);
       ctxt->on_unknown_change (sval, false);
     }
-  for (hash_set<const svalue2 *>::iterator iter
+  for (hash_set<const svalue *>::iterator iter
 	 = reachable_regs.begin_mutable_svals ();
        iter != reachable_regs.end_mutable_svals (); ++iter)
     {
-      const svalue2 *sval = (*iter);
+      const svalue *sval = (*iter);
       ctxt->on_unknown_change (sval, true);
     }
 
@@ -5650,22 +4668,22 @@ region_model2::handle_unrecognized_call (const gcall *call,
   m_store.on_unknown_fncall (call, m_mgr->get_store_manager ());
 
 #if 0
-  /* Purge sm-state for any remaining svalue2s that point to region2s that
+  /* Purge sm-state for any remaining svalues that point to regions that
      were reachable.  This helps suppress leak false-positives.
 
      For example, if we had a malloc call that was cast to a "foo *" type,
      we could have a temporary void * for the result of malloc which has its
-     own svalue2, not reachable from the function call, but for which the
-     "foo *" svalue2 was reachable.  If we don't purge it, the temporary will
+     own svalue, not reachable from the function call, but for which the
+     "foo *" svalue was reachable.  If we don't purge it, the temporary will
      be reported as a leak.  */
   int i;
-  const svalue2 *svalue2;
-  FOR_EACH_VEC_ELT (m_svalue2s, i, svalue2)
-    if (region_const svalue2 *ptr = svalue2->dyn_cast_region_svalue2 ())
+  const svalue *svalue;
+  FOR_EACH_VEC_ELT (m_svalues, i, svalue)
+    if (region_const svalue *ptr = svalue->dyn_cast_region_svalue ())
       {
-	region2 *pointee_reg = ptr->get_pointee ();
-	if (reachable_region2s.mutable_p (pointee_reg))
-	  ctxt->on_unknown_change (svalue2_id::from_int (i));
+	region *pointee_reg = ptr->get_pointee ();
+	if (reachable_regions.mutable_p (pointee_reg))
+	  ctxt->on_unknown_change (svalue_id::from_int (i));
       }
 
   validate ();
@@ -5675,13 +4693,13 @@ region_model2::handle_unrecognized_call (const gcall *call,
 /* FIXME.  */
 
 static void
-add_svalues_to_set_cb (const svalue2 *sval, hash_set<const svalue2 *> *out)
+add_svalues_to_set_cb (const svalue *sval, hash_set<const svalue *> *out)
 {
   out->add (sval);
 }
 
 /* FIXME.
-   Traverse the region2s in this model, determining what region2s are
+   Traverse the regions in this model, determining what regions are
    reachable from the store.
 
    If EXTRA_SVAL is non-NULL, treat it as an additional "root"
@@ -5691,14 +4709,14 @@ add_svalues_to_set_cb (const svalue2 *sval, hash_set<const svalue2 *> *out)
    Find svalues that haven't leaked.    */
 
 void
-region_model2::get_reachable_svalues (hash_set<const svalue2 *> *out,
-				      const svalue2 *extra_sval)
+region_model::get_reachable_svalues (hash_set<const svalue *> *out,
+				      const svalue *extra_sval)
 {
-  reachable_region2s reachable_regs (&m_store, m_mgr);
+  reachable_regions reachable_regs (&m_store, m_mgr);
 
   /* Add globals and regions that already escaped in previous
      unknown calls.  */
-  m_store.for_each_cluster (reachable_region2s::init_cluster_cb,
+  m_store.for_each_cluster (reachable_regions::init_cluster_cb,
 			    &reachable_regs);
 
   if (extra_sval)
@@ -5706,10 +4724,10 @@ region_model2::get_reachable_svalues (hash_set<const svalue2 *> *out,
 
 #if 0
   /* Mark all locals in all frames (and what's reachable from them).  */
-  for (const frame_region2 *iter_frame = get_current_frame ();
+  for (const frame_region *iter_frame = get_current_frame ();
        iter_frame; iter_frame = iter_frame->get_calling_frame ())
     {
-      region_model2_context *ctxt = NULL; // FIXME
+      region_model_context *ctxt = NULL; // FIXME
       unsigned i;
       tree name;
       FOR_EACH_SSA_NAME (i, name, iter_frame->get_function ())
@@ -5719,7 +4737,7 @@ region_model2::get_reachable_svalues (hash_set<const svalue2 *> *out,
 	    if (TREE_CODE (var) == VAR_DECL)
 	      if (VAR_DECL_IS_VIRTUAL_OPERAND (var))
 		continue;
-	  const region2 *name_reg
+	  const region *name_reg
 	    = iter_frame->get_region_for_local (m_mgr, name, ctxt);
 	  reachable_regs.add (name_reg, false);
 	}
@@ -5735,9 +4753,9 @@ region_model2::get_reachable_svalues (hash_set<const svalue2 *> *out,
   for (store::cluster_map_t::iterator iter = m_store.begin ();
        iter != m_store.end (); ++iter)
     {
-      const region2 *base_reg = (*iter).first;
-      if (const region2 *parent = base_reg->get_parent_region ())
-	if (parent->get_kind () == region2::RK_FRAME)
+      const region *base_reg = (*iter).first;
+      if (const region *parent = base_reg->get_parent_region ())
+	if (parent->get_kind () == region::RK_FRAME)
 	  reachable_regs.add (base_reg, false);
     }
   /* TODO: we also need to count the regions for live SSA names
@@ -5747,7 +4765,7 @@ region_model2::get_reachable_svalues (hash_set<const svalue2 *> *out,
 
 #if 1
   /* Populate *OUT based on the values that were reachable.  */
-  for (hash_set<const svalue2 *>::iterator iter
+  for (hash_set<const svalue *>::iterator iter
 	 = reachable_regs.begin_reachable_svals ();
        iter != reachable_regs.end_reachable_svals (); ++iter)
     {
@@ -5755,18 +4773,18 @@ region_model2::get_reachable_svalues (hash_set<const svalue2 *> *out,
     }
 #else
   /* Populate *OUT based on the clusters that were reachable.  */
-  for (hash_set<const region2 *>::iterator iter = reachable_regs.begin ();
+  for (hash_set<const region *>::iterator iter = reachable_regs.begin ();
        iter != reachable_regs.end (); ++iter)
     {
-      const region2 *base_reg = (*iter);
-      binding_cluster2 *cluster = m_store.get_cluster (base_reg);
+      const region *base_reg = (*iter);
+      binding_cluster *cluster = m_store.get_cluster (base_reg);
       if (cluster)
 	cluster->for_each_value (add_svalues_to_set_cb, out);
       else
 	{
 	  /* If not explicitly bound (or escaped), add initial svalue.
 	     FIXME: what about uninit?  */
-	  const svalue2 *init = m_mgr->get_or_create_initial_value (base_reg);
+	  const svalue *init = m_mgr->get_or_create_initial_value (base_reg);
 	  out->add (init);
 	}
     }
@@ -5777,8 +4795,8 @@ region_model2::get_reachable_svalues (hash_set<const svalue2 *> *out,
    diagnostics.  */
 
 bool
-region_model2::on_greturn (const greturn *return_stmt,
-			   region_model2_context *ctxt)
+region_model::on_greturn (const greturn *return_stmt,
+			   region_model_context *ctxt)
 {
   tree callee = get_current_function ()->decl;
   tree lhs = DECL_RESULT (callee);
@@ -5798,20 +4816,20 @@ region_model2::on_greturn (const greturn *return_stmt,
    0), as opposed to any second return due to longjmp/sigsetjmp.  */
 
 void
-region_model2::on_setjmp (const gcall *call, const exploded_node *enode,
-			 region_model2_context *ctxt)
+region_model::on_setjmp (const gcall *call, const exploded_node *enode,
+			 region_model_context *ctxt)
 {
-  const svalue2 *buf_ptr = get_rvalue (gimple_call_arg (call, 0), ctxt);
-  const region2 *buf_reg = deref_rvalue (buf_ptr, gimple_call_arg (call, 0),
+  const svalue *buf_ptr = get_rvalue (gimple_call_arg (call, 0), ctxt);
+  const region *buf_reg = deref_rvalue (buf_ptr, gimple_call_arg (call, 0),
 					 ctxt);
 
-  /* Create a setjmp_svalue2 for this call and store it in BUF_REG's
-     region2.  */
+  /* Create a setjmp_svalue for this call and store it in BUF_REG's
+     region.  */
   if (buf_reg)
     {
       setjmp_record r (enode, call);
-      const svalue2 *sval
-	= m_mgr->get_or_create_setjmp_svalue2 (r, buf_reg->get_type ());
+      const svalue *sval
+	= m_mgr->get_or_create_setjmp_svalue (r, buf_reg->get_type ());
       set_value (buf_reg, sval, ctxt);
     }
 
@@ -5819,31 +4837,31 @@ region_model2::on_setjmp (const gcall *call, const exploded_node *enode,
   if (tree lhs = gimple_call_lhs (call))
     {
       tree zero = build_int_cst (TREE_TYPE (lhs), 0);
-      const svalue2 *new_sval = m_mgr->get_or_create_constant_svalue2 (zero);
-      const region2 *lhs_reg = get_lvalue (lhs, ctxt);
+      const svalue *new_sval = m_mgr->get_or_create_constant_svalue (zero);
+      const region *lhs_reg = get_lvalue (lhs, ctxt);
       set_value (lhs_reg, new_sval, ctxt);
     }
 }
 
-/* Update this region_model2 for rewinding from a "longjmp" at LONGJMP_CALL
+/* Update this region_model for rewinding from a "longjmp" at LONGJMP_CALL
    to a "setjmp" at SETJMP_CALL where the final stack depth should be
    SETJMP_STACK_DEPTH.  Pop any stack frames.  Leak detection is *not*
    done, and should be done by the caller.  */
 
 void
-region_model2::on_longjmp (const gcall *longjmp_call, const gcall *setjmp_call,
-			   int setjmp_stack_depth, region_model2_context *ctxt)
+region_model::on_longjmp (const gcall *longjmp_call, const gcall *setjmp_call,
+			   int setjmp_stack_depth, region_model_context *ctxt)
 {
   /* Evaluate the val, using the frame of the "longjmp".  */
   tree fake_retval = gimple_call_arg (longjmp_call, 1);
-  const svalue2 *fake_retval_sval = get_rvalue (fake_retval, ctxt);
+  const svalue *fake_retval_sval = get_rvalue (fake_retval, ctxt);
 
   /* Pop any frames until we reach the stack depth of the function where
      setjmp was called.  */
   gcc_assert (get_stack_depth () >= setjmp_stack_depth);
   while (get_stack_depth () > setjmp_stack_depth)
     {
-      /* Don't purge unused svalue2s yet, as we're using fake_retval_sval.  */
+      /* Don't purge unused svalues yet, as we're using fake_retval_sval.  */
       pop_frame (NULL, false, NULL, NULL, ctxt);
     }
 
@@ -5854,20 +4872,20 @@ region_model2::on_longjmp (const gcall *longjmp_call, const gcall *setjmp_call,
     {
       /* Passing 0 as the val to longjmp leads to setjmp returning 1.  */
       tree t_zero = build_int_cst (TREE_TYPE (fake_retval), 0);
-      const svalue2 *zero_sval = m_mgr->get_or_create_constant_svalue2 (t_zero);
+      const svalue *zero_sval = m_mgr->get_or_create_constant_svalue (t_zero);
       tristate eq_zero = eval_condition (fake_retval_sval, EQ_EXPR, zero_sval);
       /* If we have 0, use 1.  */
       if (eq_zero.is_true ())
 	{
 	  tree t_one = build_int_cst (TREE_TYPE (fake_retval), 1);
-	  const svalue2 *one_sval
-	    = m_mgr->get_or_create_constant_svalue2 (t_one);
+	  const svalue *one_sval
+	    = m_mgr->get_or_create_constant_svalue (t_one);
 	  fake_retval_sval = one_sval;
 	}
       else
 	{
 	  /* Otherwise note that the value is nonzero.  */
-	  m_constraints2->add_constraint (fake_retval_sval, NE_EXPR, zero_sval);
+	  m_constraints->add_constraint (fake_retval_sval, NE_EXPR, zero_sval);
 	}
 
       /* Decorate the return value from setjmp as being unmergeable,
@@ -5877,19 +4895,19 @@ region_model2::on_longjmp (const gcall *longjmp_call, const gcall *setjmp_call,
 	 return.  */
       fake_retval_sval = m_mgr->get_or_create_unmergeable (fake_retval_sval);
 
-      const region2 *lhs_reg = get_lvalue (lhs, ctxt);
+      const region *lhs_reg = get_lvalue (lhs, ctxt);
       set_value (lhs_reg, fake_retval_sval, ctxt);
     }
 }
 
-/* Update this region_model2 for a phi stmt of the form
+/* Update this region_model for a phi stmt of the form
      LHS = PHI <...RHS...>.
    where RHS is for the appropriate edge.  */
 
 void
-region_model2::handle_phi (const gphi *phi,
+region_model::handle_phi (const gphi *phi,
 			   tree lhs, tree rhs, bool is_back_edge,
-			   region_model2_context *ctxt)
+			   region_model_context *ctxt)
 {
   /* For now, don't bother tracking the .MEM SSA names.  */
   if (tree var = SSA_NAME_VAR (lhs))
@@ -5897,12 +4915,12 @@ region_model2::handle_phi (const gphi *phi,
       if (VAR_DECL_IS_VIRTUAL_OPERAND (var))
 	return;
 
-  const svalue2 *rhs_sval = get_rvalue (rhs, ctxt);
+  const svalue *rhs_sval = get_rvalue (rhs, ctxt);
 
-  /* FIXME: WIP on replacing this with widening_svalue2, which ought
+  /* FIXME: WIP on replacing this with widening_svalue, which ought
      to be a more general solution.  */
 #if !WIDENING
-  if (is_back_edge && rhs_sval->get_kind () != svalue2::SK_UNKNOWN)
+  if (is_back_edge && rhs_sval->get_kind () != svalue::SK_UNKNOWN)
     {
       //FIXME:
       /* If we have a back edge, we probably have a loop.
@@ -5910,9 +4928,9 @@ region_model2::handle_phi (const gphi *phi,
 	 loop.
 	 To terminate, we need to avoid generating a series of
 	 models with an unbounded monotonically increasing number of
-	 redundant unknown values; hence we need to purge svalue2s
+	 redundant unknown values; hence we need to purge svalues
 	 before inserting the state into the exploded graph, to
-	 collect unused svalue2s.  */
+	 collect unused svalues.  */
       mark_region_as_unknown (get_lvalue (lhs, ctxt));
     }
   else
@@ -5923,14 +4941,14 @@ region_model2::handle_phi (const gphi *phi,
     ctxt->on_phi (phi, rhs);
 }
 
-/* Implementation of region_model2::get_lvalue; the latter adds type-checking.
+/* Implementation of region_model::get_lvalue; the latter adds type-checking.
 
-   Get the id of the region2 for PV within this region_model2,
+   Get the id of the region for PV within this region_model,
    emitting any diagnostics to CTXT.  */
 
-const region2 *
-region_model2::get_lvalue_1 (path_var pv,
-			     region_model2_context *ctxt)
+const region *
+region_model::get_lvalue_1 (path_var pv,
+			     region_model_context *ctxt)
 {
   tree expr = pv.m_tree;
 
@@ -5941,7 +4959,7 @@ region_model2::get_lvalue_1 (path_var pv,
     {
     default:
 #if 1
-      return m_mgr->get_region2_for_unexpected_tree_code (ctxt, expr,
+      return m_mgr->get_region_for_unexpected_tree_code (ctxt, expr,
 							  dump_location_t ());
 #else
       gcc_unreachable (); // FIXME
@@ -5957,22 +4975,22 @@ region_model2::get_lvalue_1 (path_var pv,
 	gcc_assert (TREE_OPERAND (expr, 3) == NULL_TREE);
 #endif
 
-	const region2 *array_reg = get_lvalue (array, ctxt);
-	const svalue2 *index_sval = get_rvalue (index, ctxt);
+	const region *array_reg = get_lvalue (array, ctxt);
+	const svalue *index_sval = get_rvalue (index, ctxt);
 	return m_mgr->get_element_region (array_reg,
 					  TREE_TYPE (TREE_TYPE (array)),
 					  index_sval);
 #if 0
-	const region2 *base_array_reg = get_region2 (array_reg);
-	array_region2 *array_reg  = base_array_reg->dyn_cast_array_region2 ();
+	const region *base_array_reg = get_region (array_reg);
+	array_region *array_reg  = base_array_reg->dyn_cast_array_region ();
 	if (!array_reg)
 	  {
-	    /* Normally, array_reg ought to refer to an array_region2, since
+	    /* Normally, array_reg ought to refer to an array_region, since
 	       array's type will be ARRAY_TYPE.  However, if we have an
 	       unexpected tree code for array, we could have a
-	       symbolic_region2 here.  If so, we're in error-handling. */
+	       symbolic_region here.  If so, we're in error-handling. */
 	    gcc_assert (base_array_reg->get_type () == NULL_TREE);
-	    return make_region2_for_unexpected_tree_code (ctxt, expr,
+	    return make_region_for_unexpected_tree_code (ctxt, expr,
 							 dump_location_t ());
 	  }
 	return array_reg->get_element (this, array_reg, index_sval, ctxt);
@@ -5994,9 +5012,9 @@ region_model2::get_lvalue_1 (path_var pv,
       {
 	tree ptr = TREE_OPERAND (expr, 0);
 	tree offset = TREE_OPERAND (expr, 1);
-	const svalue2 *ptr_sval = get_rvalue (ptr, ctxt);
-	const svalue2 *offset_sval = get_rvalue (offset, ctxt);
-	const region2 *star_ptr = deref_rvalue (ptr_sval, ptr, ctxt);
+	const svalue *ptr_sval = get_rvalue (ptr, ctxt);
+	const svalue *offset_sval = get_rvalue (offset, ctxt);
+	const region *star_ptr = deref_rvalue (ptr_sval, ptr, ctxt);
 	return m_mgr->get_offset_region (star_ptr,
 					 TREE_TYPE (expr),
 					 offset_sval);
@@ -6026,7 +5044,7 @@ region_model2::get_lvalue_1 (path_var pv,
 		    || TREE_CODE (expr) == RESULT_DECL);
 
 	int stack_index = pv.m_stack_depth;
-	const frame_region2 *frame = get_frame_at_index (stack_index);
+	const frame_region *frame = get_frame_at_index (stack_index);
 	gcc_assert (frame);
 	return frame->get_region_for_local (m_mgr, expr);
       }
@@ -6041,10 +5059,10 @@ region_model2::get_lvalue_1 (path_var pv,
 #if 0
 	if (TREE_CODE (obj_type) != RECORD_TYPE
 	    && TREE_CODE (obj_type) != UNION_TYPE)
-	  return make_region2_for_unexpected_tree_code (ctxt, obj_type,
+	  return make_region_for_unexpected_tree_code (ctxt, obj_type,
 						       dump_location_t ());
 #endif
-	const region2 *obj_reg = get_lvalue (obj, ctxt);
+	const region *obj_reg = get_lvalue (obj, ctxt);
 	return m_mgr->get_field_region (obj_reg, field);
       }
       break;
@@ -6052,12 +5070,12 @@ region_model2::get_lvalue_1 (path_var pv,
     case CONST_DECL:
       {
 	tree cst_type = TREE_TYPE (expr);
-	const region2 *cst_reg
-	  = add_region2_for_type (m_root_reg, cst_type, ctxt);
+	const region *cst_reg
+	  = add_region_for_type (m_root_reg, cst_type, ctxt);
 	if (tree value = DECL_INITIAL (expr))
 	  {
-	    const svalue2 *sval = get_rvalue (value, ctxt);
-	    get_region2 (cst_reg)->set_value (*this, cst_reg, sid, ctxt);
+	    const svalue *sval = get_rvalue (value, ctxt);
+	    get_region (cst_reg)->set_value (*this, cst_reg, sid, ctxt);
 	  }
 	return cst_reg;
       }
